# $Revision: 1.34 $, $Date: 2008-01-31 12:16:09 $
%include	/usr/lib/rpm/macros.php
%define		_class		Net
%define		_subclass	URL
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - easy parsing of URLs
Summary(pl.UTF-8):	%{_pearname} - proste parsowanie adresów
Name:		php-pear-%{_pearname}
Version:	1.0.15
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	48a932688cde596b1cc5421ffbcea22f
URL:		http://pear.php.net/package/Net_URL/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Provides easy parsing of URLs and their constituent parts.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Pozwala na proste parsowanie adresów URL oraz ich części.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-Net_URL.spec,v $
Revision 1.34  2008-01-31 12:16:09  glen
- rel 2

Revision 1.33  2007-08-26 09:40:53  adamg
- updated to 1.0.15

Revision 1.32  2007/02/13 08:06:40  glen
- tabs in preamble

Revision 1.31  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.30  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.29  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.28  2005/09/30 14:18:40  glen
- rel 3

Revision 1.27  2005/09/19 21:43:40  glen
- integer BR

Revision 1.26  2005/09/19 17:26:46  glen
- use new pear packaging system

Revision 1.25  2004/12/04 13:21:59  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.24  2004/06/19 20:35:40  adamg
- updated to 1.0.14

Revision 1.23  2004/06/05 19:32:42  adamg
- updated to 1.0.13

Revision 1.22  2004/05/30 13:13:51  adamg
- fixed english information about status of the package

Revision 1.21  2004/05/09 15:10:37  adamg
- updated to 1.0.12

Revision 1.20  2004/03/15 17:44:31  ankry
- massive cosmetics

Revision 1.19  2004/01/17 19:10:30  adamg
- updated to 1.0.11

Revision 1.18  2003/10/07 20:56:03  adamg
- do not use macros in URL

Revision 1.17  2003/08/31 20:49:11  adamg
- more specific URL

Revision 1.16  2003/05/28 10:50:29  adamg
- massive manual attack: pear packages update

Revision 1.15  2003/05/28 08:58:46  adamg
- massive attack: added source0-md5

Revision 1.14  2003/05/25 06:25:22  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.13  2003/03/06 21:26:29  blues
- 1.0.8 - bugfixes only

Revision 1.12  2003/01/31 22:14:01  blues
- 1.0.7 - stable release - STBR to Ra Upadates

Revision 1.11  2002/12/07 15:32:51  blues
- 1.0.6

Revision 1.10  2002/10/14 23:49:59  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.9  2002/09/15 10:53:33  blues
- fix in macros

Revision 1.8  2002/07/27 13:54:04  blues
- 1.0.4
STBR

Revision 1.7  2002/07/12 23:58:10  blues
- release 3 (rebuild with new rpm)

Revision 1.6  2002/07/12 11:29:56  blues
- removed not neccessary provides

Revision 1.5  2002/07/08 00:47:16  blues
- new one requires

Revision 1.4  2002/07/04 22:44:06  blues
- release 2

Revision 1.3  2002/06/30 19:43:12  kloczek
- simplifications in %install.

Revision 1.2  2002/06/29 14:39:26  blues
- dir removed

Revision 1.1  2002/06/25 10:57:31  blues
- Net_URL class
